import { createContext, useContext, useState } from "react";

const preview = {
  username: "",
  setUsername: () => {},
  permissions: [],
  setPermissions: () => {},
  accountPlanExpiry: "",
  setAccountPlanExpiry: () => {},
};

const SideBarContext = createContext(preview);

export const useSideBarContext = () => useContext(SideBarContext);

export default function SideBarProvider({ children, options }) {
  const [username, setUsername] = useState(options.username);
  const [permissions, setPermissions] = useState(options.permissions);
  const [accountPlanExpiry, setAccountPlanExpiry] = useState(
    options.accountPlanExpiry
  );

  return (
    <SideBarContext.Provider
      value={{
        username,
        setUsername,
        permissions,
        setPermissions,
        accountPlanExpiry,
        setAccountPlanExpiry,
      }}
    >
      {children}
    </SideBarContext.Provider>
  );
}
